from PIL import Image
import settings

maxThreshold = settings.maxThreshold
maxIteration = settings.maxIteration
maxI = settings.maxI
maxJ = settings.maxJ
deltaX = settings.deltaX
deltaY = settings.deltaY

def CalcMandelbrot(r,i):
	zi = 0.0
	zr = 0.0
	itercount = 0
	maxit = maxIteration;
 
	while(1) :
		itercount += 1
		temp = zr * zi
		zr2 = zr * zr
		zi2 = zi * zi
		zr = zr2 - zi2 + r
		zi = temp + temp + i
		if (zi2 + zr2 > maxThreshold):
			return  256*itercount/maxit
		if (itercount > maxIteration):
			return  1.0
	return 1


def SetZ(i,j,xinc, yinc):
	zr =  -1.0*deltaX/2.0 + xinc * i
	zi =   1.0*deltaY/2.0 - yinc * j
	zcolor = CalcMandelbrot(zr, zi) /1.0001
	return int(zcolor)


