import mandelbrot
import time
from PIL import Image
import sys, getopt
import settings


im = Image.new("RGB", (settings.maxI,settings.maxJ))

def Mandelbrot():
	xinc = settings.deltaX/(settings.maxI-1)
	yinc = settings.deltaY/(settings.maxJ-1)
	for  i in range(settings.maxI):
		for j in range(settings.maxJ):
			zcolor = mandelbrot.SetZ(i, j, xinc, yinc)
			im.putpixel((i,j),(zcolor,zcolor,zcolor))
	im.save("mandelbrot.png","PNG")


def main(argv):
	doDisplay=False
      
	opts, args = getopt.getopt(argv,"v")
	for opt, arg in opts:
		if opt == '-v':
			doDisplay=True;
      
	print ("Generating Mandelbrot pattern . . ." )
	start_time = time.time()
	Mandelbrot()
	end_time = time.time()
	print ("Time Taken = ", end_time - start_time)

	if doDisplay == True:
		im.show()
	  
	  
if __name__ == "__main__":
	main(sys.argv[1:])

