import mandelbrot
import time
from PIL import Image
import sys, getopt
import settings


# now display it
def DisplayImage():
	im = Image.new("RGB", (settings.maxI,settings.maxJ))
	for  i in range(settings.maxI):
		for j in range(settings.maxJ):
			zcolor = mandelbrot.image_array[i,j]
			im.putpixel((i,j),(zcolor,zcolor,zcolor))
	im.show()


def main(argv):
	doDisplay=False
      
	opts, args = getopt.getopt(argv,"v")
	for opt, arg in opts:
		if opt == '-v':
			doDisplay=True;
      
	print ("Generating Mandelbrot pattern . . ." )
	start_time = time.time()
	mandelbrot.Mandelbrot()
	end_time = time.time()
	print ("Time Taken = ", end_time - start_time)

	if doDisplay == True:
		DisplayImage()
	  
	  
if __name__ == "__main__":
	main(sys.argv[1:])




